Description

looking at the obsoletion chains of objects on gstore, it appears that the obsoletedBy field is continually updated to point to the "head

revision", making the chain non linear.

Although this is an interesting way to do things, the chains should be linear (linked-list style) so that they are traversable in both

directions.

output from an exhaustive navigation of objects on gstore shows:

output format:   ( predecessor <- identifier -> successor )

or:   ( obsoletes   <- identifier -> obsoletedBy )

(     0de5c03a-bffb-4030-9e47-19bfea24c916 <-     1f92e8cc-38a4-4946-843f-91a0899e8564 ->                                          )

(     5625e3e6-918a-4201-add0-b5ab7643e8e4 <-     0de5c03a-bffb-4030-9e47-19bfea24c916 ->    

1f92e8cc-38a4-4946-843f-91a0899e8564 )

(                                          <-     5625e3e6-918a-4201-add0-b5ab7643e8e4 ->     1f92e8cc-38a4-4946-843f-91a0899e8564 )

(     71fd14aa-8c7e-4e89-a3f3-1df2a011db2a <-     62140ca7-2ad7-42b3-a447-c3a2e539fea6 ->                                          )

(     08d2c688-19fd-4cd5-88ff-4ed76bf40332 <-     71fd14aa-8c7e-4e89-a3f3-1df2a011db2a ->    

62140ca7-2ad7-42b3-a447-c3a2e539fea6 )

(                                          <-     08d2c688-19fd-4cd5-88ff-4ed76bf40332 ->     62140ca7-2ad7-42b3-a447-c3a2e539fea6 )

(     f43d50cc-48c6-4167-93f0-358ad5950c03 <-     410b8ca2-d546-4a23-9fa5-2adab61dcce6 ->                                          )

(     4266e0b9-695c-4347-973d-980f9292831f <-     f43d50cc-48c6-4167-93f0-358ad5950c03 ->    

410b8ca2-d546-4a23-9fa5-2adab61dcce6 )

(     67651afa-5bef-47ca-bcc1-dacfd58def5e <-     4266e0b9-695c-4347-973d-980f9292831f ->    

410b8ca2-d546-4a23-9fa5-2adab61dcce6 )

(     b56bdc95-e6ae-4bbc-83ec-89d04a6ad2ca <-     67651afa-5bef-47ca-bcc1-dacfd58def5e ->    

410b8ca2-d546-4a23-9fa5-2adab61dcce6 )

(                                          <-     b56bdc95-e6ae-4bbc-83ec-89d04a6ad2ca ->     410b8ca2-d546-4a23-9fa5-2adab61dcce6 )

(     5aa510a2-7a62-4c5d-bbf9-7e6a0487a884 <-     f0e031e6-3771-44dd-ae8c-de12359d9f1b ->                                          )

(     5cace783-3117-4d1b-ac91-c493b60ce1fc <-     5aa510a2-7a62-4c5d-bbf9-7e6a0487a884 ->    

f0e031e6-3771-44dd-ae8c-de12359d9f1b )

(                                          <-     5cace783-3117-4d1b-ac91-c493b60ce1fc ->     f0e031e6-3771-44dd-ae8c-de12359d9f1b )

(     11db53d0-2137-46fa-ac84-4d760c3f4a53 <-     fee26dd1-3bb3-4d36-a682-e7e70202bbfb ->                                          )

(     0f87ff38-98d8-4165-aef8-f9897d083051 <-     11db53d0-2137-46fa-ac84-4d760c3f4a53 ->    

fee26dd1-3bb3-4d36-a682-e7e70202bbfb )

(     3ca95a21-1536-4610-8fbb-721dfa35dcbe <-     0f87ff38-98d8-4165-aef8-f9897d083051 ->    

fee26dd1-3bb3-4d36-a682-e7e70202bbfb )

(                                          <-     3ca95a21-1536-4610-8fbb-721dfa35dcbe ->     fee26dd1-3bb3-4d36-a682-e7e70202bbfb )

(     610eb76c-4bea-496d-bbd5-a0afc70f6c9b <-     ff54d33c-38a6-4158-a7cb-a7974a91b480 ->                                          )

(     f23fbc28-8fda-45da-b201-bb8c584fb273 <-     610eb76c-4bea-496d-bbd5-a0afc70f6c9b ->    

ff54d33c-38a6-4158-a7cb-a7974a91b480 )

(                                          <-     f23fbc28-8fda-45da-b201-bb8c584fb273 ->     ff54d33c-38a6-4158-a7cb-a7974a91b480 )

(     d603678d-d39a-4f3d-bdcf-1a4036ffd6fc <-     d73cfb5c-9e86-42c4-aaad-93d80d7c41d3 ->                                          )

(     ede10a3a-28b7-4ea7-b97c-7d062b6ed738 <-     d603678d-d39a-4f3d-bdcf-1a4036ffd6fc ->    

d73cfb5c-9e86-42c4-aaad-93d80d7c41d3 )

(     04e97c3f-ea45-4cc0-b26a-112de0c874f5 <-     ede10a3a-28b7-4ea7-b97c-7d062b6ed738 ->    

d73cfb5c-9e86-42c4-aaad-93d80d7c41d3 )

(                                          <-     04e97c3f-ea45-4cc0-b26a-112de0c874f5 ->     d73cfb5c-9e86-42c4-aaad-93d80d7c41d3 )

(     aaa76ac7-187a-4597-a580-5b4801276587 <-     f9e807c3-5d09-4640-8610-19915d2e60e1 ->                                          )

(     63ac3b8c-85bb-481c-8d47-989ee2124e6b <-     aaa76ac7-187a-4597-a580-5b4801276587 ->    

f9e807c3-5d09-4640-8610-19915d2e60e1 )

(                                          <-     63ac3b8c-85bb-481c-8d47-989ee2124e6b ->     f9e807c3-5d09-4640-8610-19915d2e60e1 )
(     f1165623-189c-4dba-8025-83915b34683b <-     a80302f0-fd10-4743-b609-c6092d9c68c7 ->                                          )

(     721c281a-b88d-4403-9882-778f1c7e8744 <-     f1165623-189c-4dba-8025-83915b34683b ->    

a80302f0-fd10-4743-b609-c6092d9c68c7 )

(                                          <-     721c281a-b88d-4403-9882-778f1c7e8744 ->     a80302f0-fd10-4743-b609-c6092d9c68c7 )

History

#1 - 2014-01-15 18:42 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

spot checked a few from the examples above and all are correctly formed now.

#2 - 2014-02-03 16:04 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#3 - 2014-05-01 15:51 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Deploy by end of Y5Q4

#4 - 2014-06-30 17:52 - Laura Moyers

- Target version changed from Deploy by end of Y5Q4 to Operational
